Prompt .  Initializing table TZ_DESC

Set Define "&"
-- Set Verify Off
-- Set Feedback Off

Define COLUMNS_LIST = "Idx_Ind, Str_Short_Name, Str_Long_Name, Str_Zone_Id, Int_Offset, Dst_Supported_Flag, Str_Origin, Str_User"

Declare
  vcDummy  Varchar2(1);
Begin
  Select /*+ RULE */
         'X'
    Into vcDummy
    From DBA_CONSTRAINTS
   Where Constraint_Name = 'FK_AGSD_TZDE';
  Execute Immediate 'Alter Table AGGSET_DESC Disable Constraint FK_AGSD_TZDE';
Exception
  When NO_DATA_FOUND Then
    Null;
  When OTHERS Then
    Raise;
End;
/

Delete
  From TZ_DST_OFFSET;

Delete
  From TZ_DESC;


insert into tz_desc ( &COLUMNS_LIST )
values
(2,'HADT','Hawaii-Aleutian Standard Time','America/Adak',-36000,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(3,'CKT','Cook Is. Time','Pacific/Rarotonga',-36000,0,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(4,'AKDT','Alaska Standard Time','AST',-32400,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(5,'AKDT','Alaska Standard Time','America/Anchorage',-32400,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(6,'PDT','Pacific Standard Time','PST8PDT',-28800,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(7,'MDT','Mountain Standard Time','MST7MDT',-25200,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(8,'CDT','Central Standard Time','America/Mexico_City',-21600,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(9,'CDT','Central Standard Time','CST6CDT',-21600,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(10,'EDT','Eastern Standard Time','EST5EDT',-18000,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(11,'CLST','Chile Time','America/Santiago',-14400,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(12,'BRST','Brasilia Time','America/Sao_Paulo',-10800,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(13,'AZOST','Azores Time','Atlantic/Azores',-3600,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(14,'CEST','Central European Time','ECT',3600,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(15,'CEST','Central European Time','Europe/Paris',3600,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(16,'EEST','Eastern European Time','Africa/Cairo',7200,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(17,'EEST','Eastern European Time','Europe/Bucharest',7200,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(18,'EEST','Eastern European Time','Europe/Helsinki',7200,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(19,'ADT','Arabia Standard Time','Asia/Baghdad',10800,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(20,'MSD','Moscow Standard Time','Europe/Moscow',10800,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(21,'AZST','Azerbaijan Time','Asia/Baku',14400,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(22,'YEKST','Yekaterinburg Time','Asia/Yekaterinburg',18000,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(23,'NOVST','Novosibirsk Time','Asia/Novosibirsk',21600,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(24,'KRAST','Krasnoyarsk Time','Asia/Krasnoyarsk',25200,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(25,'IRKST','Irkutsk Time','Asia/Irkutsk',28800,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(26,'YAKST','Yakutsk Time','Asia/Yakutsk',32400,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(27,'EST','Eastern Standard Time (New South Wales)','Australia/Sydney',36000,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(28,'NCT','New Caledonia Time','Pacific/Noumea',39600,0,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(29,'ANAST','Anadyr Time','Asia/Anadyr',43200,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(30,'NZDT','New Zealand Standard Time','Pacific/Auckland',43200,1,'DSTConfig.java','Initial');
insert into tz_desc ( &COLUMNS_LIST )
values
(1,'BST','Greenwich Mean Time','Europe/London',0,1,'DSTConfig.java','Initial');

Commit;

Declare
  vcDummy  Varchar2(1);
Begin
  Select /*+ RULE */
         'X'
    Into vcDummy
    From DBA_CONSTRAINTS
   Where Constraint_Name = 'FK_AGSD_TZDE';
  Execute Immediate 'Alter Table AGGSET_DESC Enable Constraint FK_AGSD_TZDE';
Exception
  When NO_DATA_FOUND Then
    Null;
  When OTHERS Then
    Raise;
End;
/

